# Create attachments (v1.0)
Creates a attachment in Business Central.
## HTTP request (v1.0)
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/attachments
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body (v1.0)
In the request body, supply a JSON representation of a attachment object.
## Response (v1.0)
If successful, this method returns ```201 Created``` response code and a attachment object in the response body.
## Example (v1.0)
Request
Here is an example of a request.
```json
POST https://{businesscentralPrefix}/api/v1.0/companies({id})/attachments
Content-type: application/json
```json
{
    "parentId" : "{journalLineId}",
    "fileName": "myPDF.pdf"
}
```
ParentId is the Id of the entity, for which an attachment is being created.
Response
```json
HTTP/1.1 201 Created
Content-type: application/json

{
    "parentId": "8bdf7f18-ac81-4cf6-a018-7dd2313d827f",
    "id": "7786c70a-31ee-43a3-9746-2d720496469e",
    "fileName": "myPDF.pdf",
    "content@odata.mediaEditLink": "https://api.businesscentral.dynamics-tie.com/v1.0/bc66bcbc-5b7f-4043-b352-f4ab70c81d11/api/v1.0/companies(d888c94e-0bf9-42e5-96eb-060739125558)/attachments(parentId=8bdf7f18-ac81-4cf6-a018-7dd2313d827f,id=7786c70a-31ee-43a3-9746-2d720496469e)/content",
    "content@odata.mediaReadLink": "https://api.businesscentral.dynamics-tie.com/v1.0/bc66bcbc-5b7f-4043-b352-f4ab70c81d11/api/v1.0/companies(d888c94e-0bf9-42e5-96eb-060739125558)/attachments(parentId=8bdf7f18-ac81-4cf6-a018-7dd2313d827f,id=7786c70a-31ee-43a3-9746-2d720496469e)/content",
    "lastModifiedDateTime": "2019-03-25T13:15:41Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_attachment
dynamics_attachment_get
dynamics_attachment_create
Upload Attachment<dynamics_attachment_patch>
dynamics_attachment_delete

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_attachment_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_attachment_create/
